using CallCenter.Utility;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.Common
{
    public  class CodeValidate
    {
        /// <summary>
        /// 安全参数
        /// </summary>
        /// <param name="obj">对象</param>
        /// <returns></returns>
        public static bool ICodeValidate(string strParams, string ICode)
        {
            string SecurityCode = Configs.GetValue("SecurityCode"); //ConfigurationManager.AppSettings["SecurityCode"];
            string pwd = CommonHelper.MD5(SecurityCode + strParams);
            return pwd.Equals(ICode);
            //return true;
        }
    }
}
